Bug 25561 - Проблема с обновлением
Summary: Проблема с обновлением
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: liblapack (show other bugs)
Version: unstable
Hardware: all Linux
: P3 normal
Assignee: Sergey Bolshakov
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-05-04 17:39 MSK by Victor Forsyuk
Modified: 2011-05-11 12:03 MSK (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Forsyuk 2011-05-04 17:39:34 MSK
file /usr/share/doc/lapack-3.1/LICENSE from install of liblapack-3.3.1-alt1 conflicts with file from package liblapack3-3.3.0-alt5.2
file /usr/share/doc/lapack-3.1/README from install of liblapack-3.3.1-alt1 conflicts with file from package liblapack3-3.3.0-alt5.2
Comment 1 real@altlinux.org 2011-05-04 17:53:41 MSK
Нужно сделать apt-get dist-upgrade. Или напрямую apt-get remove liblapack3 (его в сизифе нет, ибо не нужен).
Comment 2 Victor Forsyuk 2011-05-04 18:27:15 MSK
Именно dist-upgrade я и делал. И dist-upgrade должен работать, если он обламывается и для обновления нужно предпринимать какие-то ручные действия - это неправильно.

А ошибка возникла из-за того, что liblapack конфликтует со старым liblapack3 по файлам, но при этом не вытесняет его. Очевидно, забыт Obsoletes на старый пакет.
Comment 3 Repository Robot 2011-05-05 06:59:29 MSK
lapack-1:3.3.1-alt2 -> sisyphus:

* Wed May 04 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux> 1:3.3.1-alt2
- Fixed for dist-upgrade (ALT #25561)